%global varnishver 4.1.8
%global vabi 3.1
%global vabistrict d266ac5c6
%global vbranch 4.1

Name: vmod-uuid
Summary: UUID VMOD for Varnish
Version: 1.0
Release: 0.3.v%{vbranch}.20151208git22f49da%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/libvmod-var
Source0: lib%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Source tarball built like this:
# git clone https://github.com/Sharecare/libvmod-uuid.git
# cd libvmod-uuid
# git checkout f303842
# ./autogen.sh && ./configure && make && make dist

Requires: varnish = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: uuid-devel
#BuildRequires: python-docutils
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver
%if 0%{?el5}
BuildRequires: python26
%endif


%description
UUID Varnish vmod used to generate a uuid, including versions 1, 3, 4 and 5
as specified in RFC 4122. See the RFC for details about the various versions.


%prep
%setup -q -n lib%{name}-%{version}

%build
export RST2MAN=/bin/true
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%else
%doc LICENSE
%endif
%doc README.rst
%{_mandir}/man3/*.3*

%changelog
* Wed Aug 30 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0-0.3.20151208gitf303842
- Rebuilt for varnish-4.1.8

* Tue Feb 02 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0-0.2.20151208gitf303842
- Rebuilt for varnish-4.1.1

* Tue Dec 08 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0-0.1.git.f303842
- Wrapped for copr/fedora

